# services/game-stream/wolf-moonlight-service.yaml
apiVersion: v1
kind: Service
metadata:
  name: wolf-moonlight
  namespace: game-stream
  labels:
    app: wolf
  annotations:
    metallb.universe.tf/address-pool: communication-pool
    metallb.universe.tf/allow-shared-ip: traefik
spec:
  type: LoadBalancer
  loadBalancerClass: metallb
  loadBalancerIP: 192.168.22.9
  selector:
    app: wolf
  ports:
    - name: tcp-https
      port: 47984
      targetPort: 47984
      protocol: TCP
    - name: tcp-http
      port: 47989
      targetPort: 47989
      protocol: TCP
    - name: tcp-rtsp
      port: 48010
      targetPort: 48010
      protocol: TCP
    - name: udp-control
      port: 47999
      targetPort: 47999
      protocol: UDP
    - name: udp-video
      port: 48100
      targetPort: 48100
      protocol: UDP
    - name: udp-audio
      port: 48200
      targetPort: 48200
      protocol: UDP
